
import java.io.*;

public class AuctionedPainting extends Painting
{

  protected	Date	auctionDate;	// date painting sold at auction
  protected double	auctionPrice;	// auction price of painting

  // getters-setters for AuctionedPainting	
  public Date getAuctionDate ()		    { return auctionDate; }
  public void setAuctionDate (Date d)   { auctionDate = d; }
  public double getAuctionPrice ()		{ return auctionPrice; }
  public void setAuctionPrice (double p) { auctionPrice = p; }
 
  public void readAuctionData (DataInputStream fileName)	// stream object where auction information is read
  //
  //     reads an auction object from fileName
  //     Note: Java serialization could be used as an alternative to this approach
  // 
  throws IOException {
  	
	String tempDate;

	firstName = fileName.readUTF();
	lastName = fileName.readUTF();
	title = fileName.readUTF();
	tempDate = fileName.readUTF();
	paintingDate = new Date();
	paintingDate.parseDate(tempDate);
	height = fileName.readDouble();
	width = fileName.readDouble();
	medium = fileName.readUTF();
	subject = fileName.readUTF();
	tempDate = fileName.readUTF();
	auctionDate = new Date();
	auctionDate.parseDate(tempDate);
	auctionPrice = fileName.readDouble();

  } // readAuctionData
   
}; // class AuctionedPainting
